aboutsummaryrefslogtreecommitdiff
path: root/misc
diff options
context:
space:
mode:
authorthnkman <thnkman@proton.me>2024-08-28 08:26:17 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-08-28 08:32:17 +0700
commitd170b1a402511c9ce153e5b9a92d3ccf94fd3084 (patch)
tree0a3bb5aca7d891c65f438b1b2b6686c2c4c95f90 /misc
parent9cd8651f5cd71e062e4ae61666c675b3f1eae1d3 (diff)
misc/cheat: Added (interactive cheatsheets).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/cheat/README5
-rw-r--r--misc/cheat/cheat.SlackBuild104
-rw-r--r--misc/cheat/cheat.info10
-rw-r--r--misc/cheat/slack-desc19
4 files changed, 138 insertions, 0 deletions
diff --git a/misc/cheat/README b/misc/cheat/README
new file mode 100644
index 0000000000000..5fc745e803b36
--- /dev/null
+++ b/misc/cheat/README
@@ -0,0 +1,5 @@
+cheat allows you to create and view interactive cheatsheets on
+the command-line.
+It was designed to help remind *nix system administrators
+of options for commands that they use frequently, but not
+frequently enough to remember.
diff --git a/misc/cheat/cheat.SlackBuild b/misc/cheat/cheat.SlackBuild
new file mode 100644
index 0000000000000..294cc82b847e0
--- /dev/null
+++ b/misc/cheat/cheat.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/bash
+
+# Slackware build script for cheat - CLI Cheatsheets
+
+# Copyright 2023 thnkman <thnkman@proton.me>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=cheat
+VERSION=${VERSION:-4.4.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "x86_64" ] || [ "$ARCH" = "aarch64" ]; then
+ export LIBDIRSUFFIX="64"
+ export GOROOT="/usr/lib${LIBDIRSUFFIX}/go1.22.5/go"
+ export PATH="${GOROOT}/bin:${PATH}"
+else
+ export GOROOT="/usr/lib/go1.22.5/go"
+ export PATH="${GOROOT}/bin:${PATH}"
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd cmd/cheat
+go build -o ../../
+cd ../../
+
+mkdir -p $PKG/usr/bin \
+ $PKG/usr/man/man1 \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+install -D -m 0755 $TMP/$PRGNAM-$VERSION/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+cp -a README.md LICENSE.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
+
+cp -a doc/cheat.1 \
+ $PKG/usr/man/man1
+
+find $PKG/usr/man/man1 -iname cheat.1 -exec gzip -9 {} \;
+
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/misc/cheat/cheat.info b/misc/cheat/cheat.info
new file mode 100644
index 0000000000000..3635d97127d8e
--- /dev/null
+++ b/misc/cheat/cheat.info
@@ -0,0 +1,10 @@
+PRGNAM="cheat"
+VERSION="4.4.2"
+HOMEPAGE="https://github.com/cheat/cheat"
+DOWNLOAD="https://github.com/cheat/cheat/archive/4.4.2/cheat-4.4.2.tar.gz"
+MD5SUM="d38ca560953a983662f5a68b196adb3c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="google-go-lang"
+MAINTAINER="thnkman"
+EMAIL="thnkman@proton.me"
diff --git a/misc/cheat/slack-desc b/misc/cheat/slack-desc
new file mode 100644
index 0000000000000..085d410f1eeab
--- /dev/null
+++ b/misc/cheat/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cheat: cheat (CLI Cheatsheets)
+cheat:
+cheat:
+cheat: cheat allows you to create and view interactive cheatsheets on the
+cheat: command-line.
+cheat: It was designed to help remind *nix system administrators of options
+cheat: for commands that they use frequently, but not frequently enough
+cheat: to remember.
+cheat:
+cheat:
+cheat: https://github.com/cheat/cheat